
# define When/if libkpeople is available
%global libkpeople 1

Name:    ktp-common-internals 
Summary: Common internals for KDE Telepathy 
Version: 0.7.0
Release: 1%{?dist}

License: LGPLv2+
URL:     https://projects.kde.org/projects/extragear/network/telepathy/%{name}
Source0: http://download.kde.org/stable/kde-telepathy/%{version}/src/%{name}-%{version}.tar.bz2

## upstreamable patches

BuildRequires: gettext
BuildRequires: kdelibs4-devel
%if 0%{?libkpeople}
BuildRequires: libkpeople-devel
BuildRequires: nepomuk-core-devel
%endif
BuildRequires: pkgconfig(TelepathyQt4) >= 0.9.3
BuildRequires: pkgconfig(TelepathyLoggerQt4)

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig(TelepathyQt4)
Requires: pkgconfig(TelepathyLoggerQt4)
%description devel
%{summary}.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde


%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%doc COPYING 
%{_kde4_bindir}/ktp-debugger
%{_kde4_appsdir}/ktelepathy/
%{_kde4_appsdir}/katepart/syntax/ktpdebugoutput.xml
%{_kde4_datadir}/kde4/services/ktploggerplugin_tplogger.desktop
%{_kde4_datadir}/kde4/servicetypes/ktp_logger_plugin.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
# somebody lower in the stack should own these
%dir %{_kde4_libdir}/kde4/imports/org
%dir %{_kde4_libdir}/kde4/imports/org/kde
%{_kde4_libdir}/kde4/imports/org/kde/telepathy/
%{_kde4_libdir}/kde4/ktploggerplugin_tplogger.so
%{_kde4_libdir}/libktpcommoninternalsprivate.so.6*
%{_kde4_libdir}/libktploggerprivate.so.6*
%{_kde4_libdir}/libktpmodelsprivate.so.6*
%{_kde4_libdir}/libktpwidgetsprivate.so.6*
%{_kde4_libdir}/libktpcommoninternalsprivate.so.%{version}
%{_kde4_libdir}/libktploggerprivate.so.%{version}
%{_kde4_libdir}/libktpmodelsprivate.so.%{version}
%{_kde4_libdir}/libktpwidgetsprivate.so.%{version}
%if 0%{?libkpeople}
%{_kde4_libdir}/kde4/im_persons_data_source_plugin.so
%{_kde4_libdir}/kde4/imdetailswidgetplugin.so
%{_kde4_libdir}/kde4/ktp_kpeople_plugin.so
%{_kde4_libdir}/kde4/nepomuktelepathyservice.so
%{_kde4_datadir}/kde4/services/im_persons_data_source_plugin.desktop
%{_kde4_datadir}/kde4/services/imdetailswidgetplugin.desktop
%{_kde4_datadir}/kde4/services/ktp_kpeople_plugin.desktop
%{_kde4_datadir}/kde4/services/nepomuktelepathyservice.desktop
%{_datadir}/ontology/telepathy/telepathy.ontology
%{_datadir}/ontology/telepathy/telepathy.trig
%endif

%files devel
%{_kde4_libdir}/libktpcommoninternalsprivate.so
%{_kde4_libdir}/libktploggerprivate.so
%{_kde4_libdir}/libktpmodelsprivate.so
%{_kde4_libdir}/libktpwidgetsprivate.so
%{_kde4_includedir}/KTp/


%changelog
* Tue Oct 29 2013 Jan Grulich <jgrulich@redhat.com> 0.7.0-1
- 0.7.0

* Wed Sep 25 2013 Rex Dieter <rdieter@fedoraproject.org> 0.6.80-2
- enable libkpeople support

* Tue Sep 24 2013 Rex Dieter <rdieter@math.unl.edu> - 0.6.80-1
- 0.6.80

* Tue Aug 06 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.6.3-1
- 0.6.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 20 2013 Jan Grulich <jgrulich@redhat.com> 0.6.2-1
- 0.6.2

* Wed Apr 17 2013 Jan Grulich <jgrulich@redhat.com> 0.6.1-1
- 0.6.1

* Tue Apr 02 2013 Jan Grulich <jgrulich@redhat.com> 0.6.0-1
- 0.6.0

* Mon Mar 11 2013 Rex Dieter <rdieter@fedoraproject.org> 0.5.80-2
- -devel: Requires: pkgconfig(TelepathyLoggerQt4)

* Thu Mar 07 2013 Rex Dieter <rdieter@fedoraproject.org> 0.5.80-1
- 0.5.80

* Sun Feb 17 2013 Jan Grulich <jgrulich@redhat.com> - 0.5.3-1
- 0.5.3

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 17 2012 Jan Grulich <jgrulich@redhat.com> - 0.5.2-1
- 0.5.2

* Fri Oct 05 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.5.1-1
- 0.5.1

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.0-1
- 0.5.0

* Thu Jul 26 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.1-1
- 0.4.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-1
- 0.4.0

* Mon Apr 02 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-1
- 0.3.1

* Tue Jan 24 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- ktp-common-internals-0.3.0
